---
import ScheduleEvent from './ScheduleEvent.astro';    

let {day} = Astro.props;

let configuration = (await (await fetch(`https://dapi.escuelaideo.edu.es/enap/items/web_configuration`)).json()).data[0];
let response = await fetch(`https://dapi.escuelaideo.edu.es/enap/items/planning?filter[day][eq]=${day}&sort=sort&fields=sort,day,alternative_speakers_text,title,meals,evaluation_form_url,starts_at,speakers.ponentes_id.*,notes`);

let data = await response.json();

---

    <div class="container mx-auto max-w-lg flex flex-col mt-4">
        {data.data.map(event => {
            return (<ScheduleEvent event={event} displayEvaluation={configuration.display_talk_evaluation}/>);
        })}
    </div>

    

